# Ubuntu Developer Summit web application
# Copyright (C) 2008, 2009, 2010 Canonical Ltd
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.core.management.base import BaseCommand, CommandError

from summit.schedule.models import *

__all__ = (
    'Command',
)


class Command(BaseCommand):

    def handle(self, summit='', *args, **options):
        if not summit:
            print "Please provide a summit as an option"
        else:
            try:
                summit = Summit.objects.get(name=summit)
            except Summit.DoesNotExist:
                raise CommandError("Summit doesn't exist: %s" % summit)
            orphans = Meeting.objects.filter(tracks=None,summit=summit)
            for o in orphans:
                try:
                    tmp = str(o)[:str(o).index("-")]
                except: 
                    pass # means it's probably a manual scheduled item
                print o
                if tmp == "security":
                    track = Track.objects.filter(summit=summit,title="Security")
                    o.tracks = track
                if tmp == "dx":
                    track = Track.objects.filter(summit=summit,title="Design")
                    o.tracks = track

                if tmp == "desktop":
                    track = Track.objects.filter(summit=summit,title="Desktop")
                    o.tracks = track
                   
                if tmp == "arm":
                    track = Track.objects.filter(summit=summit,title="Ubuntu_on_ARM")
                    o.tracks = track

                if tmp == "kernel":
                    track = Track.objects.filter(summit=summit,title="Kernel")
                    o.tracks = track

                if tmp == "kubuntu":
                    track = Track.objects.filter(summit=summit,title="Desktop")
                    o.tracks = track

                if tmp == "community":
                    track = Track.objects.filter(summit=summit,title="Community")
                    o.tracks = track

